Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
tokens
/
{address_hash_param}
Retrieve detailed information about a specific token
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address_hash": "<string>",
  "circulating_market_cap": "<string>",
  "circulating_supply": "<string>",
  "decimals": "<string>",
  "exchange_rate": "<string>",
  "holders_count": "<string>",
  "icon_url": "https://example.com",
  "name": "<string>",
  "symbol": "<string>",
  "total_supply": "<string>",
  "volume_24h": "<string>",
  "foreign_address": "<string>",
  "origin_chain_id": "<string>"
}
{
"message": "Resource not found"
}
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Response

Detailed information about the specified token.

Token response

address_hash
string
required
Pattern: ^0x([A-Fa-f0-9]{40})$
circulating_market_cap
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
circulating_supply
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
decimals
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
holders_count
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
icon_url
string<uri> | null
required
Example:

"https://example.com"

name
string | null
required
reputation
enum<string> | null
required

Reputation of the token

Available options:
ok,
scam
symbol
string | null
required
total_supply
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
type
enum<string> | null
required
Available options:
ERC-20,
ERC-721,
ERC-1155,
ERC-404,
ERC-7984
volume_24h
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
bridge_type
enum<string> | null

Type of bridge used for this bridged token

Available options:
omni,
amb
foreign_address
string | null
Pattern: ^0x([A-Fa-f0-9]{40})$
origin_chain_id
string | null
Pattern: ^-?([1-9][0-9]*|0)$